Skip to main content
GET
List reports

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

task_id
string
required

Task whose reports to list.

type
string

Only return reports of this type.

limit
integer
default:20

Limit the number of reports to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Offset the number of reports to return.

Required range: x >= 0

Response

List of reports

created_at
string<date-time>
required

When the report was submitted

data
object
required

Report data, matching the report type's schema

id
string
required

Unique identifier for the report

occurred_at
string<date-time>
required

When the reported event happened

schema_version
integer
required

Version of the report type's schema that data was validated against

task_id
string
required

ID of the task the report belongs to

type
string
required

Report type name

Example:

"task.result"

session_id
string | null

ID of the browser the report was observed in, if any